{% extends '::base.html.twig'%}
{% block body %}
<div class="row">
  <div class="col-md-12 col-sm-12 col-xs-12">
    <div class="dashboard_graph x_panel">
      <div class="row x_title">
        <div class="col-md-6">
          <h3>Consommation annuelle</h3>
        </div>
        <div class="col-md-3"></div>
        <div class="col-md-3">
          {% set annee = 'now'|date('Y')%}
          <select class="form-control" id="conso_select_year">
            {% for i in 0..6 %}
            <option {% if annee-3+i == annee %}selected{% endif %} value="{{annee-3+i}}">{{annee-3+i}}</option>
            {% endfor %}
          </select>
        </div>
      </div>
      <div class="x_content">
        <div class="demo-container" style="height:250px">
          <div id="consommation_annuelle" style="width:100%; height:250px;"></div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-md-5 col-sm-5 col-xs-12">
    <div class="x_panel">
      <div class="x_title">
        <h2>Factures</h2>
        <div class="clearfix"></div>
      </div>
      <div class="x_content2">
        <div id="facture_pa" style="width:100%; height:300px;"></div>
      </div>
    </div>
  </div>
  <div class="col-md-7 col-sm-7 col-xs-12">
    <div class="x_panel tile">
      <div class="x_title">
        <h2>Les sites les plus gourmands</h2>

        <div class="clearfix"></div>
      </div>
      <div class="x_content" style="width:100%; height:295px;">
        <br/><br/>
        {% for s in siteGourmand|slice(0,5) if siteGourmand|length>0%}
          <div class="widget_summary">
            <div class="w_left w_25">
              <span>{{s.site}}</span>
            </div>
            <div class="w_center w_55">
              <div class="progress">
                <div class="progress-bar bg-green" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: {{(s.montant * 100)/(siteGourmand[0].montant+10000)}}%;">
                  <span class="sr-only">60% Complete</span>
                </div>
              </div>
            </div>
            <div class="w_right w_20">
              <span>{{s.montant}} F</span>
            </div>
            <div class="clearfix"></div>
          </div>
        {% endfor %}
      </div>
    </div>
  </div>
</div>
{% endblock %}
{% block javascripts%}
{{parent()}}
<script>
loadMorrisBar({{'now'|date('Y')}});
$('#conso_select_year').change(function(){
  loadMorrisBar(this.value);
});
function loadMorrisBar(year){
  $.ajax({
    url: "{{path('admin_consommation_annuelle')}}",
    data: {annee: year},
    type: "GET",
    success: function (response) {
      $('#consommation_annuelle').html("");
      var data = JSON.parse(response);
      Morris.Bar({
        element: 'consommation_annuelle',
        data: data,
        xkey: 'mois',
        ykeys: ['montant'],
        labels: ['Consommation'],
        barRatio: 0.4,
        barColors: ['#26B99A', '#34495E', '#ACADAC', '#3498DB'],
        xLabelAngle: 35,
        hideHover: 'auto',
        resize: true
      });
    },
    error: function () {
      console.log("ERROR");
    }
  });
}

$.ajax({
  url: "{{path('admin_nbre_facture_payee')}}",
  data: {},
  type: "GET",
  success: function (response) {
    var data = JSON.parse(response);
    Morris.Donut({
      element: 'facture_pa',
      data: data,
      colors: ['#26B99A', '#34495E', '#ACADAC', '#3498DB'],
      formatter: function (y) {
        return y ;
      },
      resize: true
    });
  },
  error: function () {
    console.log("ERROR");
  }
});

</script>
{% endblock %}
